Bug 1011670 - [PATCH] yum-langpackages slows down yum runs a lot, due to langtable and loading groups.
[PATCH] yum-langpackages slows down yum runs a lot, due to langtable and load...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-langpacks (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1011674
  Show dependency treegraph
 
Reported: 2013-09-24 15:09 EDT by James Antill
Modified: 2013-10-09 10:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: yum-langpacks-0.4.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1011674 (view as bug list)
Environment:
Last Closed: 2013-09-27 20:21:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Load langtable module lazily. (868 bytes, patch)
2013-09-24 15:09 EDT, James Antill
no flags Details | Diff
Don't download groups for langpack in postrepo. setup. (1.23 KB, patch)
2013-09-24 15:10 EDT, James Antill
no flags Details | Diff

  None (edit)
Description James Antill 2013-09-24 15:09:26 EDT
Created attachment 802429 [details]
Load langtable module lazily.

Description of problem:

Noticed that yum runs in F20 were a lot slower than I expected, traced it to langpacks (not sure how recent this is, maybe needs fix in F18/F19/el7 too?).

The first patch is a huge savings:

~1 second off, from 1.8s to 0.8s to do: yum list yum

...which is all "import langtable", so I moved that to happen lazily.

The second patch is that postreposetup_hook() gets called for basically every command, but we only need that data if a transaction happens. So I moved it:

~0.3s off, from 0.8s to 0.5s to do: yum list yum
Comment 1 James Antill 2013-09-24 15:10:11 EDT
Created attachment 802430 [details]
Don't download groups for langpack in postrepo. setup.
Comment 2 James Antill 2013-09-24 15:16:55 EDT
Just checked and this is a problem in F19, and thus. I assume el7.
Comment 3 Parag Nemade 2013-09-24 23:29:13 EDT
Thank you for the patches. I will update the package by later today.
Comment 4 Fedora Update System 2013-09-25 03:25:45 EDT
yum-langpacks-0.4.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.1-2.fc20
Comment 5 Fedora Update System 2013-09-25 04:29:19 EDT
yum-langpacks-0.4.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.1-2.fc19
Comment 6 Fedora Update System 2013-09-26 02:14:33 EDT
Package yum-langpacks-0.4.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-langpacks-0.4.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17633/yum-langpacks-0.4.1-2.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-27 20:21:25 EDT
yum-langpacks-0.4.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-30 05:29:18 EDT
yum-langpacks-0.4.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.1-3.fc20
Comment 9 Fedora Update System 2013-10-09 10:28:13 EDT
yum-langpacks-0.4.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.